
 Entity::Entity(IDLabel id)
{
  this->id = id;
  this->formula = nil;
}

double  Entity::value()
{
  return((formula)?(formula->evaluate(quantity)):quantity);
}

void Entity::set(Formula *formula)
{
  this->formula = formula;
}
